
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
/*                rans.h:  header file for Rans/                       */
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/

#ifndef RANS_H
#define RANS_H

/* Definition of uint32 to be a 32 bit unsigned integer type moved    */
/* to globs.h                                                         */

#include "incs.h"

#define CONGRUENTIAL_SEED 12345u	/*default seed values		*/
#define TAUSWORTHE_SEED   1073u	

double rans(void);
double normal(double, double);
int intran(int, int);
void setsd(uint32, uint32);
void getsd(uint32 *, uint32 *);
void get_seeds(const char *fname);
void put_seeds(const char *fname);
int rand_int(double *work, int k );
void permute(int *ab, int n);

#endif  /*RANS_H*/
 
