
#include "pedchk.h"

int mak_opedfil(void)

/* writes out the pedigree data, previously read by readPed,            */
/* if it is not in input order, or if then record contents differ       */
/* sets the input pedigree file name to the name of this file           */

{              
    FILE  * oPedF;

                                        /* check for changes to file    */
    if (newChron() 
                || SexOp == ASSIGN || ObsOp == ALL
                || SexOut != SexIn ||  ObsOut != ObsIn)
    {
        if (!(oPedF = openChkPed()))	/* opens the output file        */
            return !OK;
    
        writChkPed(oPedF);		/* writes out the pedigree data */
        fclose(oPedF);
        if (!(assignChkPed()))          /* sets the input file name to  */
            return !OK;                 /* the output file name         */
    }
    freeChkPed();			/* frees data structures    	*/

    return OK;
}

