#include "rans.h"

int main(void)
{
	uint32 cseed, tseed;
	int k;

	printf("                   random\n");
	printf(" cseed    tseed    integer\n");
	for (k=0; k<10; k++) {
		uint32 foo = lran();
		getsd(&cseed, &tseed);
		printf("%08x %08x %08x\n", cseed, tseed, foo);
	}
	for (k=0; k<10000; k++)
		(void) lran();
	for (k=0; k<10; k++) {
		uint32 foo = lran();
		getsd(&cseed, &tseed);
		printf("%08x %08x %08x\n", cseed, tseed, foo);
	}

	printf("\nrandom uniform (0,1)\n\n");
	for (k=1; k<=20; k++) {
		printf(" %17.15f", rans());
		if (k % 4 == 0) putchar('\n');
	}
	for (k=0; k<10000; k++)
		(void) rans();
	for (k=1; k<=20; k++) {
		printf(" %17.15f", rans());
		if (k % 4 == 0) putchar('\n');
	}

	printf("\nrandom 2-digit decimal integers\n\n");
	for (k=1; k<=100; k++) {
		printf(" %02d", intran(0,99));
		if (k % 20 == 0) putchar('\n');
	}
	for (k=0; k<10000; k++)
		(void) intran(0,99);
	for (k=1; k<=100; k++) {
		printf(" %02d", intran(0,99));
		if (k % 20 == 0) putchar('\n');
	}

	getsd(&cseed, &tseed);
	printf("\n seeds at end\n cseed    tseed\n");
	printf("%08x %08x\n", cseed, tseed);

	return 0;
}
