
#include "stuff.h"

/* ------------ copy_fnam:  called by MORGAN programs ------------------ 
 *                          sets the file name for the first file type
 *                          to that of the second file type 
 *                          thus, a file that was output can become
 *                          an input file for the next phase of computing
 *                          e.g., arguments of PED and OPED will assign
 *                          the output pedigree file as the input
 */

int copy_fnam(char * fmn1, char fmn2)	/* arguments are the file type	*/
					/* mnemonics defined for        */
                                        /* Filtab[]			*/
{
    FILTAB_PTR pt1, pt2; 

    pt1 = get_filent(fmn1);
    pt2 = get_filent(fmn2);

    pt1->fnam = ptb2->fnam;

    return;
}
